Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1491313 - [RFE] Integrate USBGuard with Linux Audit subsystem
Summary: [RFE] Integrate USBGuard with Linux Audit subsystem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: usbguard
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Daniel Kopeček
QA Contact: Jiri Jaburek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-13 13:47 UTC by Daniel Kopeček
Modified: 2018-04-10 17:35 UTC (History)
3 users (show)

Fixed In Version: usbguard-0.7.0-6.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 17:35:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed patch (37.52 KB, patch)
2017-10-26 10:13 UTC, Daniel Kopeček
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0942 0 None None None 2018-04-10 17:35:08 UTC

Description Daniel Kopeček 2017-09-13 13:47:07 UTC
Integrate USBGuard with Linux Audit subsystem so that the decision taken by USBGuard are part of the Linux Audit trail. Use the audit_log_user_message(3) API function to audit an event of type:

 #define AUDIT_USER_DEVICE      1137    /* User space hotplug device changes */

Comment 1 Daniel Kopeček 2017-10-09 09:15:54 UTC
Upstream work is being done in the private-linux-audit branch: https://github.com/dkopecek/usbguard/tree/private-linux-audit

Comment 5 Daniel Kopeček 2017-10-26 10:13:30 UTC
Created attachment 1343661 [details]
proposed patch

Comment 18 errata-xmlrpc 2018-04-10 17:35:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0942


Note You need to log in before you can comment on or make changes to this bug.